お知らせ

  • 利用規約を守って投稿してください。また、よくある質問および投稿の手引きも参照してください。
  • メッセージの投稿にはアカウントが必要です。未登録の方は、ユーザ登録ページからアカウントを作成することができます。

#1 2020-01-26 21:20:03

marchen001
メンバ
登録日: 2016-04-08

gcc をapt-get install すると何かのエラー、オプションを要求される

初心者フォーラムの皆さん、あらためまして。
リナックスを知って十八年、実用二ヶ月の新参の「さくら」ともうします。
どうぞ、お気軽に「めるへんさん」と私を呼んでください。
よろしくお願いします。

さて、本題に入りましょうか。
ノートのデルコちゃんにインストールした、インストールディスクとおなじものからデスクトップも構築しました。
しかし、GCCとC++のインストールでエラーがでます。
ノートパソコンでは、こんなことはなかったです。
なにかのオプションを求められているようなのですが、エラーにまいかいキョドってしまい、うまくできません。
このエラーは、どう解読すればいいのですか?

====================================


DELL ptiPlex-780
1.9 GiB
Intel® Celeron(R) CPU 450 @ 2.20GHz
Intel® Q45/Q43
64 ビット

========================================

root@OptiPlex-780:~# sudo apt-get install gccパッケージリストを読み込んでいます... 完了
依存関係ツリーを作成しています... 0%         依存関係ツリーを作成しています       
状態情報を読み取っています... 完了
以下の追加パッケージがインストールされます:
  gcc-7 libasan4 libatomic1 libc-dev-bin
  libc6-dev libcilkrts5 libgcc-7-dev
  libitm1 liblsan0 libmpx2 libquadmath0
  libtsan0 libubsan0 linux-libc-dev
  manpages-dev
提案パッケージ:
  gcc-multilib make autoconf automake
  libtool flex bison gcc-doc gcc-7-multilib
  gcc-7-doc gcc-7-locales libgcc1-dbg
  libgomp1-dbg libitm1-dbg libatomic1-dbg
  libasan4-dbg liblsan0-dbg libtsan0-dbg
  libubsan0-dbg libcilkrts5-dbg libmpx2-dbg
  libquadmath0-dbg glibc-doc
以下のパッケージが新たにインストールされます:
  gcc gcc-7 libasan4 libatomic1
  libc-dev-bin libc6-dev libcilkrts5
  libgcc-7-dev libitm1 liblsan0 libmpx2
  libquadmath0 libtsan0 libubsan0
  linux-libc-dev manpages-dev
アップグレード: 0 個、新規インストール: 16 個、削除: 0 個、保留: 0 個。
16.8 MB 中 991 kB のアーカイブを取得する必要があります。
この操作後に追加で 73.4 MB のディスク容量が消費されます。
続行しますか? [Y/n] y
無視:1 http://jp.archive.ubuntu.com/ubuntu bionic-updates/main amd64 linux-libc-dev amd64 4.15.0-55.60
エラー:1 http://security.ubuntu.com/ubuntu bionic-updates/main amd64 linux-libc-dev amd64 4.15.0-55.60
  404  Not Found [IP: 160.26.2.187 80]
E: http://security.ubuntu.com/ubuntu/pool/main/l/linux/linux-libc-dev_4.15.0-55.60_amd64.deb の取得に失敗しました  404  Not Found [IP: 160.26.2.187 80]
E: いくつかのアーカイブを取得できません。apt-get update を実行するか --fix-missing オプションを付けて試してみてください。

オフライン

 

#2 2020-01-26 21:22:46

marchen001
メンバ
登録日: 2016-04-08

Re: gcc をapt-get install すると何かのエラー、オプションを要求される

自分の書き込み呼んでて、アップデートしろと言われていることに気づくが投稿してしまった。
みなさん、ごめんなさい。
それで、私はどういう指示をコンピューターにわたせばいいですか><;

オフライン

 

#3 2020-01-26 21:32:21

marchen001
メンバ
登録日: 2016-04-08

Re: gcc をapt-get install すると何かのエラー、オプションを要求される

apt-get update したら、エラーは出ませんでした。
システムをインストール時にインターネットからアップデートしないとこのエラーがでるようです。

すみません、自己解決しました。

オフライン

 

Board footer

Powered by FluxBB